\documentclass{beamer}
\usepackage[utf8]{inputenc}
\usepackage{graphicx}
\usepackage{xskak}
\usepackage{multirow}
\usepackage{animate}
\usepackage{hyperref}

\author{Alexander Dračka}
\title{Réti Opening: Overview}
\subtitle{Hypermodern chess opening}
\institute{\href{https://chess.dracka.net}{chess.dracka.net}}
\date{21.11.2022}

\mode<presentation>
{
	\usetheme{Frankfurt}
}

\begin{document}

\begin{frame}
	\titlepage 
\end{frame}

%Obsah prezentacie
\begin{frame}
	\frametitle{Content}
	\tableofcontents
\end{frame}


% Richard Reti
% Teoria otvorenia
% Mozne variacie
% Accepted variation

\begin{frame}
	\section{Sources}
	\frametitle{Sources}
	\begin{itemize}
		\item \href{https://en.wikipedia.org/wiki/Zukertort_Opening}{Zukertort Opening}
		\item \href{https://en.wikipedia.org/wiki/Richard_R\%C3\%A9ti}{Richard Réti - wikipedia}
		\item \href{https://en.wikipedia.org/wiki/R\%C3\%A9ti_Opening}
{Réti opening - wikipedia}
		\item \href{https://old.chesstempo.com/game-database.html}{Chess Tempo as chess Database}
		\item \href{https://www.365chess.com/opening.php?m=5&n=155&ms=Nf3.d5.c4.dxc4&ns=1.85.60.155}{Database 365chess}
		\item \href{http://www.chesstree.net/}{Opening tree explorer}
		\item \href{https://stockfishchess.org/}{Stockfish}
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Zukertort Opening - 1880s}
	\newchessgame
	\mainline{1.Nf3}\\
Flank opening - attacking the center from the flanks with pieces rather than occupying it with pawns.\\
Preventing Black to play e5, while not commiting to any pawn structure like with e4 or d4. It also enables faster castling.\\

\chessboard[tinyboard, pgfstyle=straightmove, markmoves={g2-g3,f1-g2}, 	pgfstyle=circle, linewidth=0.1em, color=blue, markfields={e5}]
\centering

\end{frame}

\begin{frame}
	\section{Theory}
	\frametitle{Chess Hypermodernism}
	\begin{itemize}
		\item Theory came to prominence in the 1920s.
		\item It shows that games could be won through indirect control of the centre.
		\item Leading members were Aron Nimzowitsch, Richard Réti, Savielly Tartakower, Gyula Breyer, Efim Bogoljubov (Central Europe gang).
		\item Hypermodern openings include Réti Opening, King's Indian Defence, Nimzo-Indian Defence, Nimzowitsch Defence, Catalan Opening etc.
	\end{itemize}
\end{frame}

\begin{frame}
	\frametitle{Réti Opening - 1920s}
	\begin{description}
	\newchessgame
	\centering
	\item[\mainline{1. Nf3 d5 2.c4}]
	\chessboard[tinyboard,coloremph, piececolor=blue, emphfields={c4}]
	\end{description}
Knight is protecting e5 and enabling quick castling. White attack Black's pawn from the flank. Exchange of pawn will give slight advantage to white even if Black play perfectly. White maintains flexibility by not committing to a particular central pawn structure, while waiting to see what Black will do. 

	In modern times the Réti refers only to the configuration Nf3 and c4 by White with ...d5 by Black, where White fianchettos at least one bishop and does not play an early d4.\\
		

\end{frame}

\begin{frame}
	\frametitle{Setup}
	Réti popularized these moves against all defenses in the spirit of hypermodernism. Opening is very flexible with many options for White.\\
	\setchessboard{smallboard}
	Réti Opening can transpose to many different openings. It is also big family of various opening variants rather than strictly focusing on move order.\\
The same position with different move order.
		\begin{tabular}{c|c}
		\centering
			\newchessgame
			\hidemoves{1. Nf3 d5}\mainline{ 2.g3 Nf6 3. Bg2 c6 4. c4} \storegame{base_line} 
			& \newchessgame \hidemoves{1. Nf3 d5}\mainline{2.c4 c6 3.g3 Nf6 4.Bg2} \\
			\chessboard[tinyboard, pgfstyle=straightmove, coloremph, piececolor=blue, emphfields={c4}]
			\restoregame{base_line} &
			\chessboard[tinyboard, pgfstyle=straightmove, coloremph, piececolor=blue, emphfields={g2}]
			\centering
		\end{tabular}
\end{frame}

\begin{frame}
	\frametitle{Opening Principles}
	\begin{enumerate}
		\item Control center with pieces from flank.
		\item Fianchettos bishop to control long diagonal.
		\item Refrains from occupying the center with pawns.
	\end{enumerate}
	\center
'An opening of the past, which became, towards 1923, the opening of the future.' Savielly Tartakower.

\end{frame}

\begin{frame}
	\section{Further development}
	Following the Reti principles, position after 5th move could looks like this:\\
	\chessboard[setfen=rnbq1rk1/ppp1bppp/4pn2/3p4/2P5/5NP1/PP1PPPBP/RNBQ1RK1 w - - 5 6,  pgfstyle=straightmove, color=red, markmoves={g2-a8}, pgfstyle=knightmove, color=green, markmoves={f3-e5}, pgfstyle=circle, linewidth=0.1em, color=blue, markfields={d2,e2}, pgfstyle=straightmove, color=green, markmoves={b2-b3,c1-b2}]
	\centering
	\\With possible plan to fianchettos the second bishop after b3.
\end{frame}

\begin{frame}
\frametitle{Accepted}
Reti Opening, Accepted \href{https://chessopenings.com/eco/A09/2/}{\underline{ECO A09}}.\\
Black takes pawn. Protecting it would be a mistake so he should let White to recapture it and continue with development.\\
	\newchessgame\mainline{1.Nf3 d5 2.c4 dxc4} 
	 \chessboard[pgfstyle=straightmove,, coloremph, piececolor=blue, emphfields={c4}]
\end{frame}

\begin{frame}
Reti Opening, Advance Variation \href{https://chessopenings.com/eco/A09/2/}{\underline{ECO A09}}.\\
Black is pushing pawn to create space and pressure White.\\
	\frametitle{Advance variation}
	\newchessgame\mainline{1.Nf3 d5 2.c4 d4} 
	 \chessboard[pgfstyle=straightmove, coloremph, piececolor=blue, emphfields={d4}]

\end{frame}

\begin{frame}
\frametitle{Transpositions}

	\begin{tabular}{c|c}
		\newchessgame
		\hidemoves{1. Nf3 d5}\mainline{ 2.c4 e6 3.d4} & 
		\newchessgame 
		\hidemoves{1. Nf3 d5}\mainline{2.c4 e6 3.g3}\\
		  Queen's Gambit Declined & Slav Defense\\
		\newchessgame
		\hidemoves{1. Nf3 d5 2.c4 e6 3.d4} 
		\chessboard[smallboard, coloremph, piececolor=blue, emphfields={d4}]
		\newchessgame
		\hidemoves{1. Nf3 d5 2.c4 e6 3. g3}  &
		\chessboard[smallboard, pgfstyle=straightmove, coloremph, piececolor=blue, emphfields={g3}]

		\end{tabular}
\end{frame}

\end{document}